Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoDebugHandle

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoDebugHandle,MonoDebugHandle.ByValue,MonoDebugHandle.ByReference>
              com.nativelibs4java.mono.MonoDebugHandle

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoDebugHandle,MonoDebugHandle.ByValue,MonoDebugHandle.ByReference>>

Direct Known Subclasses:
  MonoDebugHandle.ByReference, MonoDebugHandle.ByValue

    public class MonoDebugHandle

extends Structure<MonoDebugHandle,MonoDebugHandle.ByValue,MonoDebugHandle.ByReference>

native declaration : mono\metadata\mono-debug.h:66
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoDebugHandle.ByReference`
`static class` | `MonoDebugHandle.ByValue`

Field Summary
`MonoLibrary.MonoImage` | `image`
`ByteByReference` | `image_file`
`int` | `index`
`MonoSymbolFile.ByReference` | `symfile`
`MonoLibrary.MonoDebugDataTable` | `type_table`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoDebugHandle()`
`MonoDebugHandle(int index, ByteByReference image_file, MonoLibrary.MonoImage image, MonoLibrary.MonoDebugDataTable type_table, MonoSymbolFile.ByReference symfile)`

Method Summary
`protected MonoDebugHandle.ByReference` | `newByReference()`
`protected MonoDebugHandle.ByValue` | `newByValue()`
`protected MonoDebugHandle` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### index

    public int index

### image_file

    public ByteByReference image_file

### image

    public MonoLibrary.MonoImage image

### type_table

    public MonoLibrary.MonoDebugDataTable type_table

### symfile

    public MonoSymbolFile.ByReference symfile

Constructor Detail

### MonoDebugHandle

    public MonoDebugHandle()

### MonoDebugHandle

    public MonoDebugHandle(int index,
                           ByteByReference image_file,
                           MonoLibrary.MonoImage image,
                           MonoLibrary.MonoDebugDataTable type_table,
                           MonoSymbolFile.ByReference symfile)

Method Detail

### newByReference

    protected MonoDebugHandle.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoDebugHandle,MonoDebugHandle.ByValue,MonoDebugHandle.ByReference>`

### newByValue

    protected MonoDebugHandle.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoDebugHandle,MonoDebugHandle.ByValue,MonoDebugHandle.ByReference>`

### newInstance

    protected MonoDebugHandle newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoDebugHandle,MonoDebugHandle.ByValue,MonoDebugHandle.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD